Bug 69673 - gdm does not use /etc/sysconfig/i18n
gdm does not use /etc/sysconfig/i18n
Product: Red Hat Raw Hide
Classification: Retired
Component: gdm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-07-24 08:07 EDT by Harald Hoyer
Modified: 2007-04-18 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-28 18:00:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2002-07-24 08:07:22 EDT
LANG != en_US and greeting and menus are in english...
Comment 1 Havoc Pennington 2002-08-07 19:33:49 EDT
Does this still happen with latest? the po files seem to exist and have
translations in them...
Comment 2 Harald Hoyer 2002-08-08 03:09:07 EDT
gdm- says:
"Welcome to <hostname>

Please enter your username"

The Options menu says: "Select a language for ...", although the buttons are
The System menu is also untranslated..
Comment 3 Havoc Pennington 2002-08-14 00:35:26 EDT
Oh, I see - gdm doesn't use the system language, you have to set the locale 
in /etc/X11/gdm/gdm.conf. It's been that way for several releases...
Comment 4 Elliot Lee 2002-08-26 13:51:43 EDT
setting it in gdm.conf does no good either from what I can tell, _and_ it's broken to have a 
separate setting.
Comment 5 Alexander Larsson 2002-08-26 14:21:55 EDT
I had to telinit 3 + telinit 5 after changing the language in /etc/sysconfig/i18n
Comment 6 Havoc Pennington 2002-08-28 12:44:46 EDT
alex are you saying gdm does use /etc/sysconfig/i18n for you?
Comment 7 Alexander Larsson 2002-08-28 14:34:12 EDT
yes. if i restart gdm
Comment 8 Havoc Pennington 2002-08-28 18:00:46 EDT
harald, does /etc/sysconfig/i18n work for you? 

Here is the relevant code:

/* no language set, use the GdmDefaultLocale */
  if (GdmDefaultLocale != NULL &&
      strlen (GdmDefaultLocale) != 0 &&
      g_getenv ("LANG") == NULL &&
      g_getenv ("LC_ALL") == NULL)
    setlocale (LC_ALL, GdmDefaultLocale);
    setlocale (LC_ALL, "");
Comment 9 Havoc Pennington 2002-08-28 19:35:17 EDT
/etc/sysconfig/i18n works for me, and I believe if LANG/LC_ALL were unset it
would fall back to the thing in gdm.conf.

Reopen if someone else can reproduce it not working...

Note You need to log in before you can comment on or make changes to this bug.